summaryrefslogtreecommitdiff
path: root/pcr/openswan
diff options
context:
space:
mode:
authorOmar Vega Ramos <ovruni@gnu.org.pe>2013-02-16 00:18:10 -0500
committerOmar Vega Ramos <ovruni@gnu.org.pe>2013-02-16 00:18:10 -0500
commit0174f5578fd28a78c48e99e1730fdae27c0fdb1b (patch)
treea5a2e7697ed94031e7226f7adb508716f3c4b953 /pcr/openswan
parent49eec46aeb12ce8e0d269ef9a04d48b64b0b5628 (diff)
Adding packages to pcr
Diffstat (limited to 'pcr/openswan')
-rw-r--r--pcr/openswan/PKGBUILD46
-rw-r--r--pcr/openswan/compile.patch11
-rwxr-xr-xpcr/openswan/openswan.rc.d43
3 files changed, 100 insertions, 0 deletions
diff --git a/pcr/openswan/PKGBUILD b/pcr/openswan/PKGBUILD
new file mode 100644
index 000000000..bae970025
--- /dev/null
+++ b/pcr/openswan/PKGBUILD
@@ -0,0 +1,46 @@
+# Contributor: Jan Fader <jan.fader@web.de>
+pkgname=openswan
+pkgver=2.6.36
+pkgrel=2
+pkgdesc="Open Source implementation of IPsec for the Linux operating system"
+url="http://www.openswan.org"
+license=('GPL' 'custom')
+arch=('i686' 'x86_64' 'mips64el')
+depends=('iproute' 'gmp' 'perl')
+backup=(etc/ipsec.conf \
+ etc/ipsec.d/policies/{block,clear,clear-or-private,private,private-or-clear})
+source=(http://www.openswan.org/download/openswan-$pkgver.tar.gz
+ openswan.rc.d
+ compile.patch)
+
+build() {
+ # Create /etc/rc.d for init script, and license directory
+ mkdir -p $pkgdir/{etc/rc.d,usr/share/licenses/openswan}
+
+ cd $srcdir/openswan-$pkgver
+ patch -p1 -i $srcdir/compile.patch
+
+ # Change install paths to Arch defaults
+ sed -i 's|/usr/local|/usr|;s|libexec/ipsec|lib/openswan|' Makefile.inc
+
+ make USE_XAUTH=true USE_OBJDIR=true programs
+}
+
+package(){
+ cd $srcdir/openswan-$pkgver
+ make DESTDIR=$pkgdir install
+
+ # Change permissions in /var
+ chmod 755 $pkgdir/var/run/pluto
+
+ # Copy License
+ cp LICENSE $pkgdir/usr/share/licenses/openswan
+
+ # Install init script
+ install -Dm755 ../openswan.rc.d $pkgdir/etc/rc.d/openswan
+ # fix manpages
+ mv $pkgdir/usr/man $pkgdir/usr/share/
+}
+md5sums=('b3a1733493520bb18729633b62ef8247'
+ '543d84162761b9cc9ec319e938c4dd2a'
+ '5540437bb334873da646e21ac9caa963')
diff --git a/pcr/openswan/compile.patch b/pcr/openswan/compile.patch
new file mode 100644
index 000000000..8ddff67f2
--- /dev/null
+++ b/pcr/openswan/compile.patch
@@ -0,0 +1,11 @@
+--- openswan-2.6.23/Makefile 2009-09-09 02:42:54.000000000 +0200
++++ Makefile 2009-12-30 10:13:53.000000000 +0100
+@@ -12,6 +12,8 @@
+ # or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
+ # for more details.
+ #
++CFLAGS=-fno-strict-aliasing
++CXXFLAGS=-fno-strict-aliasing
+
+
+ OPENSWANSRCDIR?=$(shell pwd)
diff --git a/pcr/openswan/openswan.rc.d b/pcr/openswan/openswan.rc.d
new file mode 100755
index 000000000..30bd0d56e
--- /dev/null
+++ b/pcr/openswan/openswan.rc.d
@@ -0,0 +1,43 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+case "$1" in
+ start)
+ stat_busy "Starting Openswan IPsec"
+ /etc/rc.d/ipsec --start
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ stat_done
+ add_daemon openswan
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping Openswan IPsec"
+ /etc/rc.d/ipsec --stop
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ stat_done
+ rm_daemon openswan
+ fi
+ ;;
+ restart)
+ stat_busy "Restarting Openswan IPsec"
+ /etc/rc.d/ipsec --restart
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ stat_done
+ add_daemon openswan
+ fi
+ ;;
+ status)
+ /etc/rc.d/ipsec --status
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart|status}"
+esac
+